Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGuiSignalMapper

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.core.QSignalMapper
                      com.trolltech.qt.gui.QGuiSignalMapper

All Implemented Interfaces:
  QtJambiInterface

    public class QGuiSignalMapper

extends QSignalMapper

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Field Summary
`QSignalEmitter.Signal1<QWidget>` | `mappedQWidget`

Fields inherited from class com.trolltech.qt.core.QSignalMapper
`mappedInteger, mappedQObject, mappedString`

Method Summary
`QObject` | `mapping(QWidget widget)` This method has been deprecated.
`void` | `setMapping(QObject sender, QWidget widget)` This method has been deprecated.

Methods inherited from class com.trolltech.qt.core.QSignalMapper
`fromNativePointer, map, map, mapping, mapping, mapping, removeMappings, setMapping, setMapping, setMapping`

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread, timerEvent`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Field Detail

### mappedQWidget

    public QSignalEmitter.Signal1<QWidget> mappedQWidget

Method Detail

### mapping

    public final QObject mapping(QWidget widget)

  This method has been deprecated. Use com.trolltech.qt.gui.QGuiSignalMapper.mapping() instead.

  Overrides:
    `mapping` in class `QSignalMapper`

### setMapping

    public final void setMapping(QObject sender,
                                 QWidget widget)

  This method has been deprecated. Use com.trolltech.qt.gui.QGuiSignalMapper.setMapping() instead.

  Overrides:
    `setMapping` in class `QSignalMapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD